<?php

/*********************************************************************

 freo | 管理画面 | メディア削除 (2010/09/01)

 Copyright(C) 2009-2010 freo.jp

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/internals/associate_entry.php';

/* メイン処理 */
function freo_main()
{
	global $freo;

	//ログイン状態確認
	if ($freo->user['authority'] != 'root' and $freo->user['authority'] != 'author') {
		freo_redirect('login', true);
	}

	//パラメータ検証
	if (!isset($_GET['file']) or !preg_match('/^[\w\-\.]+$/', $_GET['file'])) {
		$_GET['file'] = null;
	}
	if (!isset($_GET['directory']) or !preg_match('/^[\w\-]+$/', $_GET['directory'])) {
		$_GET['directory'] = null;
	}

	//ワンタイムトークン確認
	if (!freo_token('check', (isset($_GET['type']) ? $_GET['type'] : null))) {
		freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
	}

	if ($_GET['file']) {
		//ファイル削除
		if (!unlink(FREO_FILE_DIR . 'medias/' . ($_GET['directory'] ? $_GET['directory'] . '/' : '') . $_GET['file'])) {
			freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
		}

		//サムネイル削除
		if (file_exists(FREO_FILE_DIR . 'media_thumbnails/' . ($_GET['directory'] ? $_GET['directory'] . '/' : '') . $_GET['file'])) {
			if (!unlink(FREO_FILE_DIR . 'media_thumbnails/' . ($_GET['directory'] ? $_GET['directory'] . '/' : '') . $_GET['file'])) {
				freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
			}
		}
	} elseif ($_GET['directory']) {
		//ディレクトリ削除
		if (!freo_rmdir(FREO_FILE_DIR . 'medias/' . $_GET['directory'] . '/')) {
			freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
		}

		//サムネイル用ディレクトリ削除
		if (!freo_rmdir(FREO_FILE_DIR . 'media_thumbnails/' . $_GET['directory'] . '/')) {
			freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
		}
	} else {
		freo_redirect('admin/media?error=1' . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));
	}

	//ログ記録
	freo_log('メディアを削除しました。');

	//エントリー管理へ移動
	freo_redirect('admin/media?exec=delete&file=' . $_GET['file'] . '&directory=' . $_GET['directory'] . (isset($_GET['type']) ? '&type=' . $_GET['type'] : ''));

	return;
}

?>
