<?php

/*********************************************************************

 freo | 入力データ検証 | メディア登録 (2010/09/01)

 Copyright(C) 2009-2010 freo.jp

*********************************************************************/

/* 入力データ検証 */
function freo_validate_media($mode, $input)
{
	global $freo;

	$errors = array();

	//ディレクトリ
	if ($input['media']['directory'] != '') {
		if (!preg_match('/^[\w\-]+$/', $input['media']['directory'])) {
			$errors[] = 'ディレクトリは半角英数字で入力してください。';
		} elseif (mb_strlen($input['media']['directory'], 'UTF-8') > 80) {
			$errors[] = 'ディレクトリは80文字以内で入力してください。';
		}
	}

	//ファイル
	if ($input['media']['file'] == '') {
		$errors[] = 'ファイルが入力されていません。';
	} elseif (!$freo->config['media']['filename'] and !preg_match('/^[\w\.\~\-\&\#\+\=\;\@\%]+$/', $input['media']['file'])) {
		$errors[] = 'ファイル名は半角英数字で入力してください。';
	} elseif (!$freo->config['media']['filename'] and mb_strlen($input['media']['file'], 'UTF-8') > 80) {
		$errors[] = 'ファイル名は80文字以内で入力してください。';
	} elseif (!$freo->config['media']['filename'] and file_exists(FREO_FILE_DIR . 'medias/' . ($input['media']['directory'] ? $input['media']['directory'] . '/' : '') . $input['media']['file'])) {
		$errors[] = ($input['media']['directory'] ? $input['media']['directory'] . '/' : '') . $input['media']['file'] . 'はすでにアップロードされています。';
	}

	return $errors;
}

?>
